BNSTAT(1)

NAME
bnstat - Battle.net statisics client

SYNOPSIS
bnstat [options] [servername [serverport]]

DESCRIPTION
bnstat is a simple Battle.net client emulator that can be used to gather player statistics. It is also compatible with FSGS servers, but has difficulty with real Battle.net servers.

If no servername is specified, localhost is assumed. If no serverport is specified, 6112 is assumed. If no player is specified on the command line, bnstat(1) will connect to the server and prompt for one from stdin. All available statistics for the emulated client type are formatted and displayed on stdout.

OPTIONS

-b  Causes bnstat to emulate a Brood Wars client.

--client
    Causes bnstat to emulate a specific client. The following client tags are recognized: DRTL DSHR STAR SSHR SEXP W2BN. There are short options which may be used instead for the common clients.

--bnetd
    Also attempt to gather bnetd(1) specific information.

-d  Causes bnstat to emulate a Diablo client.

--fsgs
    Also attempt to gather FSGS specific information.

-h --help --usage
    Print usage information and exit.

-k --cdkey
    Causes bnstat to report an alternate key to the bnetd(1) server.

-o --owner
    Causes bnstat to report an alternate owner to the bnetd(1) server.

-p --player
    Gather statistics only for the specified player and then exit. This also avoids using login and terminal functions allowing it to be used in shell scripts.

-s  Causes bnstat to emulate a Starcraft client.

-v --version
    Print its version number and exit.

-w  Causes bnstat to emulate a Warcraft II BNE client.

NOTES
The current version is available with the bnetd distribution at:

    http://www.bnetd.org/

BUGS
This program assumes that the terminal will move to the beginning of the current line when the carriage return character (^M) is printed. It also assumes the backspace character (^H) will move one column to the left that character printed after that will replace those already on the screen.

The terminal settings are not consulted for keybindings. The following are assumed:

^H  delete the character to the left of the cursor

^J  accept current line

^M (return)
    accept current line

^T  transpose the last two characters

^W  delete word to the left of the cursor

^U  delete the whole input line

^[ (escape)
    cancel the current input line

^? (delete)
    delete the character to the left of the cursor

SEE ALSO
bnetd(1)

AUTHOR
Ross Combs (ross@bnetd.org)